import React from 'react';
import type { FavoriteQuery } from '@mongodb-js/my-queries-storage';
import type { BaseQuery } from '../../constants/query-properties';
export type FavoriteActions = {
    onApply: (query: BaseQuery) => void;
    onDelete: (id: string) => void;
    onUpdateFavoriteChoosen: () => void;
};
export declare const FavoriteList: ({ queries, isReadonly, onApply, onDelete, onUpdateFavoriteChoosen, }: FavoriteActions & {
    queries: FavoriteQuery[];
    isReadonly: boolean;
}) => JSX.Element;
declare const _default: import("react-redux").ConnectedComponent<({ queries, isReadonly, onApply, onDelete, onUpdateFavoriteChoosen, }: FavoriteActions & {
    queries: {
        _id: string;
        _lastExecuted: Date;
        _ns: string;
        _name: string;
        _dateSaved: Date;
        _dateModified?: Date | undefined;
        _host?: string | undefined;
        filter?: any;
        project?: any;
        collation?: any;
        sort?: any;
        skip?: number | undefined;
        limit?: number | undefined;
        update?: any;
    }[];
    isReadonly: boolean;
}) => JSX.Element, {
    onUpdateFavoriteChoosen: () => void;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
//# sourceMappingURL=favorite-list.d.ts.map